org.apache.nutch.indexer

## Class CleaningJob.CleanReducer

- java.lang.Object
- - org.apache.hadoop.mapreduce.Reducer<java.lang.String,WebPage,NullWritable,NullWritable>
  - - org.apache.nutch.indexer.CleaningJob.CleanReducer

- Enclosing class:
    CleaningJob

      public static class CleaningJob.CleanReducer
      extends Reducer<java.lang.String,WebPage,NullWritable,NullWritable>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer

      `Reducer.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CleanReducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup(Reducer.Context context)`
    `void` | `reduce(java.lang.String key, java.lang.Iterable<WebPage> values, Reducer.Context context)`
    `void` | `setup(Reducer.Context job)`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

      `run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CleanReducer

          public CleanReducer()

  - ### Method Detail

    - #### setup

          public void setup(Reducer.Context job)
                     throws java.io.IOException

      Overrides:
        `setup` in class `Reducer<java.lang.String,WebPage,NullWritable,NullWritable>`
      Throws:
        `java.io.IOException`

    - #### reduce

          public void reduce(java.lang.String key,
                             java.lang.Iterable<WebPage> values,
                             Reducer.Context context)
                      throws java.io.IOException

      Overrides:
        `reduce` in class `Reducer<java.lang.String,WebPage,NullWritable,NullWritable>`
      Throws:
        `java.io.IOException`

    - #### cleanup

          public void cleanup(Reducer.Context context)
                       throws java.io.IOException

      Overrides:
        `cleanup` in class `Reducer<java.lang.String,WebPage,NullWritable,NullWritable>`
      Throws:
        `java.io.IOException`

Copyright © 2019 The Apache Software Foundation